H-Sphere Documentation Upgrades

 

Upgrading H-Sphere to 2.4 Beta 7 Patch 1

 

This document explains how to upgrade H-Sphere from 2.3.1 Patch 9, any of 2.3.2 versions, or earlier 2.4 betas to 2.4 Beta 7 Patch 1. If your H-Sphere is lower than 2.3.1 Patch 9, please update to this version first.

The update script comes with a Qmail update, which includes SpamAssassin 2.63 and ClamAV 0.70-rc. You can execute the Qmail update from the H-Sphere update script.

IMPORTANT:

  • This version is not yet stable and should not be installed on production servers or systems with over 1000 accounts.
  • Don't forget to upgrade Winbox to 2.4 beta 7 patch 1 to ensure correct performance of Windows-based hosting.
  • The upgrade won't work without a valid H-Sphere license. Please check if you have enough licenses to cover all accounts in the system.
  • Before update, remember that H-Sphere supports the following operation systems:
    Linux RedHat (7.2, 7.3, RHES 2.1, RHWS 2.1, RHAS 2.1, RHWS3, RHES3, RHAS3) and FreeBSD (versions 4.7, 4.8, 4.9)
  • For correct performance of WebShell4, you must have 1.3.29 apache update.

Procedure

  1. Make sure to have H-Sphere 2.3.1 Patch 9 or an earlier 2.4 beta installed:
    # cat ~cpanel/shiva/psoft_config/hsphere.properties | grep HS_VERSION
    If you have an older version, contact support@psoft.net or read how to upgrade from previous versions.
  2. Download 2.4 Beta 7 installation package from the Positive Software site:
    # wget http://www.psoft.net/shiv/HS/U24/U24.0b7p1/U24.0b7p1
    Make sure the target directory doesn't contain any other U24.0b7p1 file!
  3. Stop H-Sphere using one of the following commands:
    Linux:
    # /etc/rc.d/init.d/httpdcp stop
    FreeBSD:
    # /usr/local/etc/rc.d/apachecp.sh stop

    To stop SiteStudio, stop Imaker by running:
    # kill -9 `ps -axw|grep imaker.sh |grep -v grep|awk '{print $1}'`
    # kill -9 `ps -axw|grep ImageMaker|grep -v grep|awk '{print $1}'`

  4. Run the update script:
    # sh ./U24.0b7p1
    You will see a help window with a prompt to enter update options.
    To update H-Sphere to version 2.4 Beta 7 Patch 1 and Site Studio to version 1.6 RC 3, enter:
    update
    To update only H-Sphere to version 2.4 Beta 7 Patch 1, enter:
    hsupdate
    To update only Site Studio to 1.6 RC 3, enter:
    ssupdate
    After you have updated H-Sphere, update Qmail on your mail servers to support SpamAssassin 2.63 and ClamAV 0.70-rc by entering:
    mail
    If you add new mail servers after this patch, re-run the Qmail update. To do this, launch this update script on the control panel server and when prompted, enter mail.
  5. If you have windows servers, update your Winbox to 2.4 Beta 7 Patch 1.
  6. Start H-Sphere CP:
    Linux:
    # /etc/rc.d/init.d/httpdcp start
    FreeBSD:
    # /usr/local/etc/rc.d/apachecp.sh start
  7. Start ImageMaker:
    Linux:
    # /hsphere/shared/SiteStudio/imaker.sh >& /hsphere/shared/SiteStudio/var/error_log 2>&1 &
    FreeBSD:
    # /hsphere/shared/SiteStudio/imaker.sh >& /hsphere/shared/SiteStudio/var/error_log &
  8. If the update breaks SiteStudio demo, follow the Troubleshooter.
  9. Check the version of H-Sphere:
    # cat ~cpanel/shiva/psoft_config/hsphere.properties | grep HS_VERSION

    You will see a line similar to this:
    HS_VERSION = 2.4.0.421.20040401
    Where:
    2.4.0 is the version of H-Sphere,
    421 is H-Sphere build,
    20040401 is the build date (in YYYYMMDD format)
    You can have a later build of version 2.4.0.



Copyright 1998-2006. Positive Software Corporation.
All rights reserved.